/****************************************************************************
 *
 * Julia set test program for PS3 cell architecture.
 *
 * (c) 2007 Ranulf Doswell <dev@ranulf.net>
 *
 * I've only been programming the PS3 for just over 24 hours and here is my
 * first attempt at just the SPUs, DMA transfers and hand-optimising SBU
 * assembler (such a nice processor to experiment with)...
 *
 * Please feel free to use this as a basis for your experimentations, but if
 * you come up with anything cool, please let me know!
 *
 ****************************************************************************/

#define JOYSTICK_SELECT 0
#define JOYSTICK_LEFT_HAT 1
#define JOYSTICK_RIGHT_HAT 2
#define JOYSTICK_START 3
#define JOYSTICK_UP 4
#define JOYSTICK_RIGHT 5
#define JOYSTICK_DOWN 6 
#define JOYSTICK_LEFT 7
#define JOYSTICK_L2 8
#define JOYSTICK_R2 9
#define JOYSTICK_L1 10
#define JOYSTICK_R1 11
#define JOYSTICK_TRIANGLE 12
#define JOYSTICK_CIRCLE 13
#define JOYSTICK_CROSS 14
#define JOYSTICK_SQUARE 15
#define JOYSTICK_PS 16

class Joystick {
public:
	Joystick();
	~Joystick();

	int getAllButtons();
	int getButton(int b);
	int getAxis(int a);

private:
	void update();

	int joyFD;
	
	int axis[4];
	long buttons;
};
